[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TField.FieldNo

Number of the field in the record

## Declaration

Source position: db.pas line 410

`public property TField.FieldNo : LongInt read FFieldNo;`

## Description

FieldNo is the position of the field in the record. It is a 1-based index and is initialized when the dataset is opened or when persistent fields are created for the dataset.

## See also

TField.Index |  | Index of the field in the list of fields

Documentation generated on: Feb 26 2014